| FFmpegKit Linux API 6.0

Loading...
Searching...
No Matches
Enumerations | Functions | Variables
fftools_ffmpeg_opt.c File Reference

Go to the source code of this file.

## Enumerations
enum | OptGroup { GROUP_OUTFILE , GROUP_INFILE }

## Functions
void | uninit_options (OptionsContext *o)
void | init_options (OptionsContext *o)
int | show_hwaccels (void *optctx, const char *opt, const char *arg)
AVDictionary * | strip_specifiers (const AVDictionary *dict)
int | parse_and_set_vsync (const char *arg, int *vsync_var, int file_idx, int st_idx, int is_global)
void | correct_input_start_times (void)
int | apply_sync_offsets (void)
int | opt_filter_threads (void *optctx, const char *opt, const char *arg)
int | opt_abort_on (void *optctx, const char *opt, const char *arg)
int | opt_stats_period (void *optctx, const char *opt, const char *arg)
int | opt_audio_codec (void *optctx, const char *opt, const char *arg)
int | opt_video_codec (void *optctx, const char *opt, const char *arg)
int | opt_subtitle_codec (void *optctx, const char *opt, const char *arg)
int | opt_data_codec (void *optctx, const char *opt, const char *arg)
int | opt_map (void *optctx, const char *opt, const char *arg)
int | opt_attach (void *optctx, const char *opt, const char *arg)
int | opt_map_channel (void *optctx, const char *opt, const char *arg)
int | opt_sdp_file (void *optctx, const char *opt, const char *arg)
int | opt_init_hw_device (void *optctx, const char *opt, const char *arg)
int | opt_filter_hw_device (void *optctx, const char *opt, const char *arg)
int | opt_recording_timestamp (void *optctx, const char *opt, const char *arg)
const AVCodec * | find_codec_or_die (void *logctx, const char *name, enum AVMediaType type, int encoder)
void | assert_file_overwrite (const char *filename)
char * | file_read (const char *filename)
int | opt_streamid (void *optctx, const char *opt, const char *arg)
int | init_complex_filters (void)
int | opt_target (void *optctx, const char *opt, const char *arg)
int | opt_vstats_file (void *optctx, const char *opt, const char *arg)
int | opt_vstats (void *optctx, const char *opt, const char *arg)
int | opt_video_frames (void *optctx, const char *opt, const char *arg)
int | opt_audio_frames (void *optctx, const char *opt, const char *arg)
int | opt_data_frames (void *optctx, const char *opt, const char *arg)
int | opt_default_new (OptionsContext *o, const char *opt, const char *arg)
int | opt_preset (void *optctx, const char *opt, const char *arg)
int | opt_old2new (void *optctx, const char *opt, const char *arg)
int | opt_bitrate (void *optctx, const char *opt, const char *arg)
int | opt_qscale (void *optctx, const char *opt, const char *arg)
int | opt_profile (void *optctx, const char *opt, const char *arg)
int | opt_video_filters (void *optctx, const char *opt, const char *arg)
int | opt_audio_filters (void *optctx, const char *opt, const char *arg)
int | opt_vsync (void *optctx, const char *opt, const char *arg)
int | opt_timecode (void *optctx, const char *opt, const char *arg)
int | opt_audio_qscale (void *optctx, const char *opt, const char *arg)
int | opt_filter_complex (void *optctx, const char *opt, const char *arg)
int | opt_filter_complex_script (void *optctx, const char *opt, const char *arg)
void | show_help_default_ffmpeg (const char *opt, const char *arg)
void | show_usage (void)
int | open_files (OptionGroupList *l, const char *inout, int(*open_file)(const OptionsContext *, const char *))
int | ffmpeg_parse_options (int argc, char **argv)
int | opt_progress (void *optctx, const char *opt, const char *arg)
int | opt_timelimit (void *optctx, const char *opt, const char *arg)

## Variables
const char *const | opt_name_codec_names [] = {"c", "codec", "acodec", "vcodec", "scodec", "dcodec", NULL}
const char *const | opt_name_frame_rates [] = {"r", NULL}
const char *const | opt_name_codec_tags [] = {"tag", "atag", "vtag", "stag", NULL}
const char *const | opt_name_top_field_first [] = {"top", NULL}
__thread HWDevice * | filter_hw_device
__thread char * | vstats_filename
__thread char * | sdp_filename
__thread float | audio_drift_threshold = 0.1
__thread float | dts_delta_threshold = 10
__thread float | dts_error_threshold = 3600*30
__thread enum VideoSyncMethod | video_sync_method = VSYNC_AUTO
__thread float | frame_drop_threshold = 0
__thread int | do_benchmark = 0
__thread int | do_benchmark_all = 0
__thread int | do_hex_dump = 0
__thread int | do_pkt_dump = 0
__thread int | copy_ts = 0
__thread int | start_at_zero = 0
__thread int | copy_tb = -1
__thread int | debug_ts = 0
__thread int | exit_on_error = 0
__thread int | abort_on_flags = 0
__thread int | print_stats = -1
__thread int | qp_hist = 0
__thread int | stdin_interaction = 1
__thread float | max_error_rate = 2.0/3
__thread char * | filter_nbthreads = NULL
__thread int | filter_complex_nbthreads = 0
__thread int | vstats_version = 2
__thread int | auto_conversion_filters = 1
__thread int64_t | stats_period = 500000
__thread int | file_overwrite = 0
__thread int | no_file_overwrite = 0
__thread int | do_psnr = 0
__thread int | ignore_unknown_streams = 0
__thread int | copy_unknown_streams = 0
__thread int | recast_media = 0
__thread OptionDef * | ffmpeg_options
static const OptionGroupDef | groups []

## Enumeration Type Documentation

## ◆ OptGroup

enum OptGroup

Enumerator
GROUP_OUTFILE |
GROUP_INFILE |

Definition at line 1259 of file fftools_ffmpeg_opt.c.

## Function Documentation

## ◆ apply_sync_offsets()

int apply_sync_offsets | ( | void |  | ) |

Definition at line 286 of file fftools_ffmpeg_opt.c.

## ◆ assert_file_overwrite()

void assert_file_overwrite | ( | const char * | filename | ) |

Definition at line 700 of file fftools_ffmpeg_opt.c.

## ◆ correct_input_start_times()

void correct_input_start_times | ( | void |  | ) |

Definition at line 249 of file fftools_ffmpeg_opt.c.

## ◆ ffmpeg_parse_options()

int ffmpeg_parse_options | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 1303 of file fftools_ffmpeg_opt.c.

## ◆ file_read()

char * file_read | ( | const char * | filename | ) |

Definition at line 743 of file fftools_ffmpeg_opt.c.

## ◆ find_codec_or_die()

const AVCodec * find_codec_or_die | ( | void * | logctx,
|  | const char * | name,
|  | enum AVMediaType | type,
|  | int | encoder
| ) |  |

Definition at line 670 of file fftools_ffmpeg_opt.c.

## ◆ init_complex_filters()

int init_complex_filters | ( | void |  | ) |

Definition at line 791 of file fftools_ffmpeg_opt.c.

## ◆ init_options()

void init_options | ( | OptionsContext * | o | ) |

Definition at line 180 of file fftools_ffmpeg_opt.c.

## ◆ open_files()

int open_files | ( | OptionGroupList * | l,
|  | const char * | inout,
|  | int(*)(const OptionsContext *, const char *) | open_file
| ) |  |

Definition at line 1269 of file fftools_ffmpeg_opt.c.

## ◆ opt_abort_on()

int opt_abort_on | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 345 of file fftools_ffmpeg_opt.c.

## ◆ opt_attach()

int opt_attach | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 494 of file fftools_ffmpeg_opt.c.

## ◆ opt_audio_codec()

int opt_audio_codec | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 379 of file fftools_ffmpeg_opt.c.

## ◆ opt_audio_filters()

int opt_audio_filters | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 1120 of file fftools_ffmpeg_opt.c.

## ◆ opt_audio_frames()

int opt_audio_frames | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 976 of file fftools_ffmpeg_opt.c.

## ◆ opt_audio_qscale()

int opt_audio_qscale | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 1147 of file fftools_ffmpeg_opt.c.

## ◆ opt_bitrate()

int opt_bitrate | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 1068 of file fftools_ffmpeg_opt.c.

## ◆ opt_data_codec()

int opt_data_codec | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 397 of file fftools_ffmpeg_opt.c.

## ◆ opt_data_frames()

int opt_data_frames | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 982 of file fftools_ffmpeg_opt.c.

## ◆ opt_default_new()

int opt_default_new | ( | OptionsContext * | o,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 988 of file fftools_ffmpeg_opt.c.

## ◆ opt_filter_complex()

int opt_filter_complex | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 1153 of file fftools_ffmpeg_opt.c.

## ◆ opt_filter_complex_script()

int opt_filter_complex_script | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 1165 of file fftools_ffmpeg_opt.c.

## ◆ opt_filter_hw_device()

int opt_filter_hw_device | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 641 of file fftools_ffmpeg_opt.c.

## ◆ opt_filter_threads()

int opt_filter_threads | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 338 of file fftools_ffmpeg_opt.c.

## ◆ opt_init_hw_device()

int opt_init_hw_device | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 626 of file fftools_ffmpeg_opt.c.

## ◆ opt_map()

int opt_map | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 403 of file fftools_ffmpeg_opt.c.

## ◆ opt_map_channel()

int opt_map_channel | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 503 of file fftools_ffmpeg_opt.c.

## ◆ opt_old2new()

int opt_old2new | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 1056 of file fftools_ffmpeg_opt.c.

## ◆ opt_preset()

int opt_preset | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 1008 of file fftools_ffmpeg_opt.c.

## ◆ opt_profile()

int opt_profile | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 1102 of file fftools_ffmpeg_opt.c.

## ◆ opt_progress()

int opt_progress | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 1363 of file fftools_ffmpeg_opt.c.

## ◆ opt_qscale()

int opt_qscale | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 1084 of file fftools_ffmpeg_opt.c.

## ◆ opt_recording_timestamp()

int opt_recording_timestamp | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 655 of file fftools_ffmpeg_opt.c.

## ◆ opt_sdp_file()

int opt_sdp_file | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 587 of file fftools_ffmpeg_opt.c.

## ◆ opt_stats_period()

int opt_stats_period | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 364 of file fftools_ffmpeg_opt.c.

## ◆ opt_streamid()

int opt_streamid | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 769 of file fftools_ffmpeg_opt.c.

## ◆ opt_subtitle_codec()

int opt_subtitle_codec | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 391 of file fftools_ffmpeg_opt.c.

## ◆ opt_target()

int opt_target | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 803 of file fftools_ffmpeg_opt.c.

## ◆ opt_timecode()

int opt_timecode | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 1133 of file fftools_ffmpeg_opt.c.

## ◆ opt_timelimit()

int opt_timelimit | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Limit the execution time.

Definition at line 1380 of file fftools_ffmpeg_opt.c.

## ◆ opt_video_codec()

int opt_video_codec | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 385 of file fftools_ffmpeg_opt.c.

## ◆ opt_video_filters()

int opt_video_filters | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 1114 of file fftools_ffmpeg_opt.c.

## ◆ opt_video_frames()

int opt_video_frames | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 970 of file fftools_ffmpeg_opt.c.

## ◆ opt_vstats()

int opt_vstats | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 954 of file fftools_ffmpeg_opt.c.

## ◆ opt_vstats_file()

int opt_vstats_file | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 947 of file fftools_ffmpeg_opt.c.

## ◆ opt_vsync()

int opt_vsync | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 1126 of file fftools_ffmpeg_opt.c.

## ◆ parse_and_set_vsync()

int parse_and_set_vsync | ( | const char * | arg,
|  | int * | vsync_var,
|  | int | file_idx,
|  | int | st_idx,
|  | int | is_global
| ) |  |

Definition at line 228 of file fftools_ffmpeg_opt.c.

## ◆ show_help_default_ffmpeg()

void show_help_default_ffmpeg | ( | const char * | opt,
|  | const char * | arg
| ) |  |

Per-fftool specific help handler. Implemented in each fftool, called by show_help().

Definition at line 1179 of file fftools_ffmpeg_opt.c.

## ◆ show_hwaccels()

int show_hwaccels | ( | void * | optctx,
|  | const char * | opt,
|  | const char * | arg
| ) |  |

Definition at line 198 of file fftools_ffmpeg_opt.c.

## ◆ show_usage()

void show_usage | ( | void |  | ) |

Definition at line 1252 of file fftools_ffmpeg_opt.c.

## ◆ strip_specifiers()

AVDictionary * strip_specifiers | ( | const AVDictionary * | dict | ) |

Definition at line 211 of file fftools_ffmpeg_opt.c.

## ◆ uninit_options()

void uninit_options | ( | OptionsContext * | o | ) |

Definition at line 146 of file fftools_ffmpeg_opt.c.

## Variable Documentation

## ◆ abort_on_flags

__thread int abort_on_flags = 0

Definition at line 123 of file fftools_ffmpeg_opt.c.

## ◆ audio_drift_threshold

__thread float audio_drift_threshold = 0.1

Definition at line 108 of file fftools_ffmpeg_opt.c.

## ◆ auto_conversion_filters

__thread int auto_conversion_filters = 1

Definition at line 131 of file fftools_ffmpeg_opt.c.

## ◆ copy_tb

__thread int copy_tb = -1

Definition at line 120 of file fftools_ffmpeg_opt.c.

## ◆ copy_ts

__thread int copy_ts = 0

Definition at line 118 of file fftools_ffmpeg_opt.c.

## ◆ copy_unknown_streams

__thread int copy_unknown_streams = 0

Definition at line 141 of file fftools_ffmpeg_opt.c.

## ◆ debug_ts

__thread int debug_ts = 0

Definition at line 121 of file fftools_ffmpeg_opt.c.

## ◆ do_benchmark

__thread int do_benchmark = 0

Definition at line 114 of file fftools_ffmpeg_opt.c.

## ◆ do_benchmark_all

__thread int do_benchmark_all = 0

Definition at line 115 of file fftools_ffmpeg_opt.c.

## ◆ do_hex_dump

__thread int do_hex_dump = 0

Definition at line 116 of file fftools_ffmpeg_opt.c.

## ◆ do_pkt_dump

__thread int do_pkt_dump = 0

Definition at line 117 of file fftools_ffmpeg_opt.c.

## ◆ do_psnr

__thread int do_psnr = 0

Definition at line 138 of file fftools_ffmpeg_opt.c.

## ◆ dts_delta_threshold

__thread float dts_delta_threshold = 10

Definition at line 109 of file fftools_ffmpeg_opt.c.

## ◆ dts_error_threshold

__thread float dts_error_threshold = 3600*30

Definition at line 110 of file fftools_ffmpeg_opt.c.

## ◆ exit_on_error

__thread int exit_on_error = 0

Definition at line 122 of file fftools_ffmpeg_opt.c.

## ◆ ffmpeg_options

__thread OptionDef* ffmpeg_options
| extern

Definition at line 4376 of file fftools_ffmpeg.c.

## ◆ file_overwrite

__thread int file_overwrite = 0

Definition at line 135 of file fftools_ffmpeg_opt.c.

## ◆ filter_complex_nbthreads

__thread int filter_complex_nbthreads = 0

Definition at line 129 of file fftools_ffmpeg_opt.c.

## ◆ filter_hw_device

__thread HWDevice* filter_hw_device

Definition at line 103 of file fftools_ffmpeg_opt.c.

## ◆ filter_nbthreads

__thread char* filter_nbthreads = NULL

Definition at line 128 of file fftools_ffmpeg_opt.c.

## ◆ frame_drop_threshold

__thread float frame_drop_threshold = 0

Definition at line 113 of file fftools_ffmpeg_opt.c.

## ◆ groups

const OptionGroupDef groups[]
| static

Initial value:
= {
[GROUP_OUTFILE] = { "output url", NULL, OPT_OUTPUT },
[GROUP_INFILE] = { "input url", "i", OPT_INPUT },
}
OPT_INPUT
#define OPT_INPUT
Definition fftools_cmdutils.h:214
OPT_OUTPUT
#define OPT_OUTPUT
Definition fftools_cmdutils.h:215
GROUP_OUTFILE
@ GROUP_OUTFILE
Definition fftools_ffmpeg_opt.c:1260
GROUP_INFILE
@ GROUP_INFILE
Definition fftools_ffmpeg_opt.c:1261

Definition at line 1264 of file fftools_ffmpeg_opt.c.

## ◆ ignore_unknown_streams

__thread int ignore_unknown_streams = 0

Definition at line 140 of file fftools_ffmpeg_opt.c.

## ◆ max_error_rate

__thread float max_error_rate = 2.0/3

Definition at line 127 of file fftools_ffmpeg_opt.c.

## ◆ no_file_overwrite

__thread int no_file_overwrite = 0

Definition at line 136 of file fftools_ffmpeg_opt.c.

## ◆ opt_name_codec_names

const char* const opt_name_codec_names[] = {"c", "codec", "acodec", "vcodec", "scodec", "dcodec", NULL}

Definition at line 98 of file fftools_ffmpeg_opt.c.

## ◆ opt_name_codec_tags

const char* const opt_name_codec_tags[] = {"tag", "atag", "vtag", "stag", NULL}

Definition at line 100 of file fftools_ffmpeg_opt.c.

## ◆ opt_name_frame_rates

const char* const opt_name_frame_rates[] = {"r", NULL}

Definition at line 99 of file fftools_ffmpeg_opt.c.

## ◆ opt_name_top_field_first

const char* const opt_name_top_field_first[] = {"top", NULL}

Definition at line 101 of file fftools_ffmpeg_opt.c.

## ◆ print_stats

__thread int print_stats = -1

Definition at line 124 of file fftools_ffmpeg_opt.c.

## ◆ qp_hist

__thread int qp_hist = 0

Definition at line 125 of file fftools_ffmpeg_opt.c.

## ◆ recast_media

__thread int recast_media = 0

Definition at line 142 of file fftools_ffmpeg_opt.c.

## ◆ sdp_filename

__thread char* sdp_filename

Definition at line 106 of file fftools_ffmpeg_opt.c.

## ◆ start_at_zero

__thread int start_at_zero = 0

Definition at line 119 of file fftools_ffmpeg_opt.c.

## ◆ stats_period

__thread int64_t stats_period = 500000

Definition at line 132 of file fftools_ffmpeg_opt.c.

## ◆ stdin_interaction

__thread int stdin_interaction = 1

Definition at line 126 of file fftools_ffmpeg_opt.c.

## ◆ video_sync_method

__thread enum VideoSyncMethod video_sync_method = VSYNC_AUTO

Definition at line 112 of file fftools_ffmpeg_opt.c.

## ◆ vstats_filename

__thread char* vstats_filename

Definition at line 105 of file fftools_ffmpeg_opt.c.

## ◆ vstats_version

__thread int vstats_version = 2

Definition at line 130 of file fftools_ffmpeg_opt.c.